%
% anyremote configuration file for Nokia-E75 management. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Nokia E75
GuiAppType=Example
GuiAppProtocols=Server
GuiAppDesc=Example of keypad handling for Nokia-E75

[Protocol]=Server

(Connect)=\
    Set(layout,default,keypad_only);\
    Set(status,);\
    Set(title,Nokia-E75);

K8=Emulate(key,BackSpace)

0=Emulate(key,0)
1=Emulate(key,1)
2=Emulate(key,2)
3=Emulate(key,3)
4=Emulate(key,4)
5=Emulate(key,5)
6=Emulate(key,6)
7=Emulate(key,7)
8=Emulate(key,8)
9=Emulate(key,9)
#=Emulate(keydown,Shift_L,key,numbersign,keyup,Shift_L)
*=Emulate(keydown,Shift_L,key,asterisk,keyup,Shift_L)

10=Emulate(key,Return)

32=Emulate(key,space)
33=Emulate(keydown,Shift_L,key,exclam,keyup,Shift_L)
36=Emulate(keydown,Shift_L,key,dollar,keyup,Shift_L)
38=Emulate(keydown,Shift_L,key,ampersand,keyup,Shift_L)

40=Emulate(key,braceleft)
41=Emulate(key,braceright)

43=Emulate(keydown,Shift_L,key,plus,keyup,Shift_L)
44=Emulate(key,comma)
45=Emulate(key,minus)
46=Emulate(key,period)

58=Emulate(keydown,Shift_L,key,colon,keyup,Shift_L)
59=Emulate(key,semicolon)

63=Emulate(keydown,Shift_L,key,question,keyup,Shift_L)
64=Emulate(keydown,Shift_L,key,at,keyup,Shift_L)
65=Emulate(keydown,Shift_L,key,A,keyup,Shift_L)
66=Emulate(keydown,Shift_L,key,B,keyup,Shift_L)
67=Emulate(keydown,Shift_L,key,C,keyup,Shift_L)
68=Emulate(keydown,Shift_L,key,D,keyup,Shift_L)
69=Emulate(keydown,Shift_L,key,E,keyup,Shift_L)
70=Emulate(keydown,Shift_L,key,F,keyup,Shift_L)
71=Emulate(keydown,Shift_L,key,G,keyup,Shift_L)
72=Emulate(keydown,Shift_L,key,H,keyup,Shift_L)
73=Emulate(keydown,Shift_L,key,I,keyup,Shift_L)
74=Emulate(keydown,Shift_L,key,J,keyup,Shift_L)
75=Emulate(keydown,Shift_L,key,K,keyup,Shift_L)
76=Emulate(keydown,Shift_L,key,L,keyup,Shift_L)
77=Emulate(keydown,Shift_L,key,M,keyup,Shift_L)
78=Emulate(keydown,Shift_L,key,N,keyup,Shift_L)
79=Emulate(keydown,Shift_L,key,O,keyup,Shift_L)
80=Emulate(keydown,Shift_L,key,P,keyup,Shift_L)
81=Emulate(keydown,Shift_L,key,Q,keyup,Shift_L)
82=Emulate(keydown,Shift_L,key,R,keyup,Shift_L)
83=Emulate(keydown,Shift_L,key,S,keyup,Shift_L)
84=Emulate(keydown,Shift_L,key,T,keyup,Shift_L)
85=Emulate(keydown,Shift_L,key,U,keyup,Shift_L)
86=Emulate(keydown,Shift_L,key,V,keyup,Shift_L)
87=Emulate(keydown,Shift_L,key,W,keyup,Shift_L)
88=Emulate(keydown,Shift_L,key,X,keyup,Shift_L)
89=Emulate(keydown,Shift_L,key,Y,keyup,Shift_L)
90=Emulate(keydown,Shift_L,key,Z,keyup,Shift_L)

97=Emulate(key,a)
98=Emulate(key,b)
99=Emulate(key,c)
100=Emulate(key,d)
101=Emulate(key,e)
102=Emulate(key,f)
103=Emulate(key,g)
104=Emulate(key,h)
105=Emulate(key,i)
106=Emulate(key,j)
107=Emulate(key,k)
108=Emulate(key,l)
109=Emulate(key,m)
110=Emulate(key,n)
111=Emulate(key,o)
112=Emulate(key,p)
113=Emulate(key,q)
114=Emulate(key,r)
115=Emulate(key,s)
116=Emulate(key,t)
117=Emulate(key,u)
118=Emulate(key,v)
119=Emulate(key,w)
120=Emulate(key,x)
121=Emulate(key,y)
122=Emulate(key,z)
123=Emulate(key,braceleft)
124=Emulate(key,bar)
125=Emulate(key,braceright)
126=Emulate(key,asciitilde)

163=Emulate(keydown,Shift_L,key,bar,keyup,Shift_L)

8364=Emulate(keydown,Shift_L,key,euro,keyup,Shift_L)


FIRE=Emulate(key,Return)
LEFT=Emulate(key,Left)
UP=Emulate(key,Up)
RIGHT=Emulate(key,Right)
DOWN=Emulate(key,Down)

[End]
